com.sun.pdfview.font.ttf

## Class CMapFormat6

- java.lang.Object
- - com.sun.pdfview.font.ttf.CMap
  - - com.sun.pdfview.font.ttf.CMapFormat6

    public class CMapFormat6
    extends CMap

### Constructor Summary

Constructors
`protected` `CMapFormat6(short language)` Creates a new instance of CMapFormat0

### Method Summary

Methods
`java.nio.ByteBuffer` `getData()` Get the data in the map as a byte buffer
`short` `getLength()` Get the length of this table
`byte` `map(byte src)` Cannot map from a byte
`char` `map(char src)` Map from char
`char` `reverseMap(short glyphID)` Get the src code which maps to the given glyphID
`void` `setData(int length, java.nio.ByteBuffer data)` Get the data in this map as a ByteBuffer

### Methods inherited from class com.sun.pdfview.font.ttf.CMap

`createMap, getFormat, getLanguage, getMap, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CMapFormat6

    protected CMapFormat6(short language)

Creates a new instance of CMapFormat0

### Method Detail

#### getLength

    public short getLength()

Get the length of this table

Specified by:
  `getLength` in class `CMap`

#### map

    public byte map(byte src)

Cannot map from a byte

Specified by:
  `map` in class `CMap`

#### map

    public char map(char src)

Map from char

Specified by:
  `map` in class `CMap`

#### reverseMap

    public char reverseMap(short glyphID)

Get the src code which maps to the given glyphID

Specified by:
  `reverseMap` in class `CMap`

#### setData

    public void setData(int length,
               java.nio.ByteBuffer data)

Get the data in this map as a ByteBuffer

Specified by:
  `setData` in class `CMap`

#### getData

    public java.nio.ByteBuffer getData()

Get the data in the map as a byte buffer

Specified by:
  `getData` in class `CMap`